# Mods

The [`Better Leaves` resource-pack by MidnightDust](https://modrinth.com/resourcepack/better-leaves) is preinstalled.

## Included
### Performance
- `Chunky Pregenerator` — pre-generate chunks (server-only)
- `Dynamic FPS` — reduces FPS when in background
- `Krypton` — network stack optimisation
- `LazyDFU` — improves startup time
- `Lithium` — general-purpose optimisation
- `Sodium` — rendering engine replacement

### Graphics
- `BedrockWaters` — biome-specific water properties
- `Continuity` — connected textures
- `Enhanced Block Entities` — smooth lighting on block entities (+ performance improvements)
- `Falling Leaves` — falling leaves particles
- `Iris Shaders` — shaders
- `Make Bubbles Pop`
- `Not Enough Animations` — third-person animations
- `Sodium Extra` — more settings

### World-gen
- `BetterEnd`
- `BetterNether`
- `ChoiceTheorem's Overhauled Village` — more village types
- `Wilder Wild`

### Building blocks
- `Adorn` — furniture
- `Chipped` — more block variants
- `Cooking for Blockheads` — cooking and kitchen furniture
- `Handcrafted` — furniture
- `Infinity Buttons` — more buttons
- `Lanterns Belong on Walls` — allows placing lanterns on walls

### GUI
- `AppleSkin` — hunger/health-related HUD improvements
- `Better Statistics Screen`
- `EMI Loot` — EMI addon for loot drops
- `EMI` — item and recipe viewer
- `EMIffect` — EMI addon for status effects
- `Mod Menu` — adds a mod menu
- `Paginated Advancements` — improved advancements screen
- `Raised` — fixes the hotbar position
- `Reese's Sodium Options` — replaces the graphics settings

### Compatibility
- `Animatica` — animated textures
- `Entity Texture Features` — random+emissive textures
- `Indium` — `Lithium` + `Fabric Rendering API`

### Miscellaneous
- `Additional Additions` — various items
- `Amecs` — better keybindings
- `Animal Feeding Trough` — block allowing animals to self-feed
- `Auth Me` — in-game session re-validation
- `Axes are Weapons` — allows sword enchantments for axes
- `Culinaire` — more food items
- `Debugify` — fixes various bugs
- `Fabric Waystones` — waystones
- `Gravestones`
- `Light Overlay`
- `Mouse Tweaks`
- `Supplementaries` — various items
- `Traveler's Backpack` — backpacks
- `Zoomify` — zoom

### Modpack utilities
- `Main Menu Credits`
- `OneTimeOverrides`

### Library
- `Athena` — required by `Chipped`
- `Balm` — required by `Cooking for Blockheads`
- `BCLib` — by `BetterNether`, `BetterEnd`
- `Cardinal Components API` — required by `Traveler's Backpack`
- `Dawn API` — required by `Culinaire`
- `Fabric API`
- `Fabric Language Kotlin` — required by `Adorn`, `OneTimeOverrides`, `Zoomify`
- `Moonlight Lib` — required by `Supplementaries`
- `oωo` — required by `Fabric Waystones`, `Infinity Buttons`
- `Resourceful Lib` — required by `Chipped`, `Handcrafted`
- `Statement` — required by `Lanterns Belong on Walls`

## Not included
### Experimental
These mods would be in the pack if they were stable/finished.
- `Concurrent Chunk Management Engine` — multithreaded chunk management
- `Consistency+`
- `Deeper and Darker` — enhance the Deep Dark
- `Immersive Portals`
- `Resounding` — realistic sound physics

### Alternative used
- `Better Recipe Book` → `EMI`
- `Cinderscapes` → `Better Nether`
- `EditSign` → `Charm`
- `FPS - Display` → `Sodium`
- `LambDynamicLights` → `Iris Shaders`
- `No Telemetry` → `Debugify`
- bug-fixing mods → `Debugify`

### Too special
- `Eureka` — custom ships, compatible with Create
- `Origins` — character classes

### Incompatible loader/version
- `Campanion` — various camping-themed items